%define module  String-CRC32
%define upstream_version 1.5

Name: 		perl-%{module}
Version: 	%perl_convert_version %{upstream_version}
Release: 	3
Summary: 	Perl interface for cyclic redundency check generation

License: 	GPL or Artistic
Group: 		Development/Perl
Source:		ftp://ftp.perl.org:21/pub/CPAN/modules/by-module/String/String-CRC32-%{upstream_version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel

%description 
This packages provides a perl module to generate checksums from strings
and from files.

%prep
%setup -q -n %{module}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc README
%{_mandir}/*/*
%{perl_vendorarch}/String
%{perl_vendorarch}/auto/String



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.500.0-3
+ Revision: ac80482
- MassBuild#440: Increase release tag


